> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/general-resources/global-commerce/customers/creating-a-customer.md).

# Creating a customer

You can make this request without an access token by passing in your API key as a query parameter. You can also send this request with an anonymous or authenticated customer token.

## POST requests

Send a [`POST /v1/shoppers`](https://docs.digitalriver.com/commerce-api-references/shopper-apis/shoppers/shoppers#v1-shoppers-client-hosted-shopper) request with the customer's information in the request payload.

To send a request with an access token:

{% tabs %}
{% tab title="URI" %}

```http
POST https://api.digitalriver.com/v1/shoppers/me HTTP/1.1
```

{% endtab %}
{% endtabs %}

To send a request without an access token, include your API key:

{% tabs %}
{% tab title="URI" %}

```http
POST https://api.digitalriver.com/v1/shoppers/me?apiKey=your_api_key HTTP/1.1
```

{% endtab %}
{% endtabs %}

## Request body

The content required for the payload depends on who maintains the master record for the customer's username and password information. The base customer account information includes the customer's name and email address. The following list displays the minimum [Shopper ](https://docs.digitalriver.com/commerce-api-references/shopper-apis/shoppers/shoppers)resource fields required to create a customer record:

* `username`
* `password` (base64 encoded)
* `emailAddress`
* `externalReferenceId`
* `firstName`
* `lastName`
* `locale`– Required for landed costs.
* `currency`– Required for landed costs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/general-resources/global-commerce/customers/creating-a-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
